skb_to_sgvec
Prev | Socket Buffer Functions | Next

## Name

skb_to_sgvec — Fill a scatter-gather list from a socket buffer

## Synopsis

`int skb_to_sgvec (` | struct sk_buff * | skb,
| struct scatterlist * | sg,
| int | offset,
| int | len`)`;

## Arguments

`skb`

  Socket buffer containing the buffers to be mapped

`sg`

  The scatter-gather list to map into

`offset`

  The offset into the buffer's contents to start mapping

`len`

  Length of buffer space to be mapped

## Description

Fill the specified scatter-gather list with mappings/pointers into a region of the buffer space attached to a socket buffer.

Prev | Up | Next
skb_segment | Home | skb_cow_data